#include <Stepper.h>
#include <DHT.h>

#define LED_PIN 6
#define BUTTON_PIN 7
#define SENSOR_PIN 8
#define STEPPER_PIN_1 9
#define STEPPER_PIN_2 10
#define STEPPER_PIN_3 11
#define STEPPER_PIN_4 12

#define SENSOR_TYPE DHT11

int dt = 100;
int stepperSpeed = 20;
int stepsPerRev = 1400;

int stepperDirection = -1;
float temperature;
bool button;

Stepper stepperMotor(stepsPerRev, STEPPER_PIN_1, STEPPER_PIN_3, STEPPER_PIN_2, STEPPER_PIN_4);
DHT HT(SENSOR_PIN, SENSOR_TYPE);

void setup() {
  
  Serial.begin(9600);
  HT.begin();
  stepperMotor.setSpeed(stepperSpeed);
  pinMode(BUTTON_PIN, INPUT_PULLUP);
  pinMode(LED_PIN, OUTPUT);
  delay(dt);
  
}

void loop() {

  button = digitalRead(BUTTON_PIN);
  temperature = HT.readTemperature();

  if (temperature < 20 && stepperDirection == 1) {  
    digitalWrite(LED_PIN, HIGH);
    stepperMotor.step(stepperDirection * stepsPerRev);
    digitalWrite(LED_PIN, LOW);
    stepperDirection = -1 * stepperDirection;
    
  } else if (button == HIGH) {
    digitalWrite(LED_PIN, HIGH);
    stepperMotor.step(stepperDirection * stepsPerRev);
    digitalWrite(LED_PIN, LOW);
    stepperDirection = -1 * stepperDirection;
  }
  
  Serial.print(" Temperature: ");
  Serial.print(temperature);

  /* if (digitalRead(BUTTON_PIN) == LOW) {
    digitalWrite(LED_PIN, HIGH);
  } else {
    digitalWrite(LED_PIN, LOW);
  }

  delay(dt);

  
  stepperMotor.step(stepsPerRev);

  delay(500);

  stepperMotor.step(-1 * stepsPerRev);

  delay(500); */
  

}
